org.apache.xmlbeans.impl.common

## Class SAXHelper

- java.lang.Object
- - org.apache.xmlbeans.impl.common.SAXHelper

-     public final class SAXHelper
      extends Object

  Provides handy methods for working with SAX parsers and readers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EntityResolver` | `IGNORING_ENTITY_RESOLVER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLReader` | `newXMLReader(XmlOptions options)` Creates a new SAX XMLReader, with sensible defaults

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IGNORING_ENTITY_RESOLVER

          public static final EntityResolver IGNORING_ENTITY_RESOLVER

  - ### Method Detail

    - #### newXMLReader

          public static XMLReader newXMLReader(XmlOptions options)
                                        throws SAXException,
                                               ParserConfigurationException

      Creates a new SAX XMLReader, with sensible defaults
      Throws:
        `SAXException`
        `ParserConfigurationException`